import request from '@/utils/request'
import defaultSettings from '@/settings'


// 萤石云登录
export function ys7Login(data, headers) {
	let query = data
	return request({
		url: defaultSettings.ys7Url + '/open_war/api/lapp/token/get',
		method: 'post',
		data: data,
		params: query
		// headers: headers
	})
}


// 萤石云NVR设备信息
export function ys7GetNVR(data, headers) {
	let query = data
	return request({
		url: defaultSettings.ys7Url + '/open_war/api/lapp/device/info',
		method: 'post',
		data: data,
		params: query,
		headers: headers
	})
}

// 萤石云摄像头列表
export function ys7GetCameraList(data, headers) {
	let query = data

	return request({
		url: defaultSettings.ys7Url + '/open_war/api/lapp/device/camera/list',
		method: 'post',
		data: data,
		params: query,
		headers: headers
	})
}